# Interface FeatureJson

Contains information about an attribute field and feature geometry.

See https://developers.arcgis.com/web-map-specification/objects/feature/ https://developers.arcgis.com/web-scene-specification/objects/feature/.

interface FeatureJson {
attributes?: Record<string, unknown>;
geometry?: GeometryJson;
popupInfo?: PopupInfoJson;
symbol?: SymbolJson;
}

#####
Index

### Properties

attributes?
geometry?
popupInfo?
symbol?

##
Properties

### `Optional` attributes

attributes?: Record<string, unknown>

The feature attributes. It is a JSON object that contains a dictionary of name-value pairs. The names are the feature field names. The values are the field values and they can be any of the standard JSON types - string, number and boolean. Note that date values are encoded as numbers. The number represents the number of milliseconds since epoch (January 1, 1970) in UTC.

### `Optional` geometry

geometry?: GeometryJson

The feature geometry.

### `Optional` popupInfo

popupInfo?: PopupInfoJson

A popupInfo object defining the content of popup window when you click a feature on the map. Applicable to features in a map notes feature layer only.

### `Optional` symbol

symbol?: SymbolJson

Symbol used for drawing the feature.